apt – Receiving the error: snapd.snap-repair.service is a disabled or a static unit, not starting it…

Playing around with the new Hyper-V capabilities of Windows 10 and I find that both 18.x and 19.x quick installers don’t upgrade due to errors with snapd.snap-repair.service.

I ditched the snapd service:

sudo apt purge snapd
sudo dpkg –configure¬† -a

Source: apt – Receiving the error: snapd.snap-repair.service is a disabled or a static unit, not starting it – Ask Ubuntu

Leave a Reply

You can use these HTML tags

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>